Index: config.c
===================================================================
RCS file: /usr/cvsroot/asterisk/config.c,v
retrieving revision 1.83
diff -u -r1.83 config.c
--- config.c	7 Nov 2005 22:05:31 -0000	1.83
+++ config.c	28 Nov 2005 04:41:31 -0000
@@ -797,6 +797,7 @@
 	struct ast_config *config, *configtmp;
 	struct ast_variable *v;
 	char *driver, *table, *database, *stringp;
+	char quotecheck[1];
 
 	clear_config_maps();
 
@@ -811,9 +812,21 @@
 	for (v = ast_variable_browse(config, "settings"); v; v = v->next) {
 		stringp = v->value;
 		driver = strsep(&stringp, ",");
-		database = strsep(&stringp, ",");
+
+		ast_copy_string(quotecheck, stringp, sizeof(quotecheck));
+
+		/* check if the database text starts with a double quote */
+		if (strcmp(quotecheck, "\"")) {
+			strsep(&stringp, "\"");
+			database = strsep(&stringp, "\"");
+			strsep(&stringp, ",");
+		} else {
+			/* apparently this text has no quotes */
+			database = strsep(&stringp, ",");
+		}
+
 		table = strsep(&stringp, ",");
-			
+
 		if (!strcmp(v->name, extconfig_conf)) {
 			ast_log(LOG_WARNING, "Cannot bind '%s'!\n", extconfig_conf);
 			continue;
